package com.yonge.cooleshow.biz.dal.dto;

import com.yonge.cooleshow.biz.dal.vo.MusicSheetVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-10-18
 */
@ApiModel("app首页曲目信息")
public class AppMusicSheetVo {

    @ApiModelProperty("推荐曲目")
    private List<MusicSheetVo> topMusicSheet;


    @ApiModelProperty("最新曲目")
    private List<MusicSheetVo> newMusicSheet;

    @ApiModelProperty("最热曲目")
    private List<MusicSheetVo> hotMusicSheet;

    public List<MusicSheetVo> getHotMusicSheet() {
        return hotMusicSheet;
    }

    public void setHotMusicSheet(List<MusicSheetVo> hotMusicSheet) {
        this.hotMusicSheet = hotMusicSheet;
    }

    public List<MusicSheetVo> getTopMusicSheet() {
        return topMusicSheet;
    }

    public void setTopMusicSheet(List<MusicSheetVo> topMusicSheet) {
        this.topMusicSheet = topMusicSheet;
    }

    public List<MusicSheetVo> getNewMusicSheet() {
        return newMusicSheet;
    }

    public void setNewMusicSheet(List<MusicSheetVo> newMusicSheet) {
        this.newMusicSheet = newMusicSheet;
    }
}
